Bug 251493 - HP DC7700 ACPI problem
HP DC7700 ACPI problem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2007-08-09 09:20 EDT by Mogens Kjaer
Modified: 2008-04-09 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 09:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode from a dc7700 (18.63 KB, text/plain)
2007-10-27 05:45 EDT, Mogens Kjaer
no flags Details

  None (edit)
Description Mogens Kjaer 2007-08-09 09:20:20 EDT
Description of problem:

Booting installation on f8test1 x86_64 on an HP DC7700 hangs at:

...
ACPI: Interpreter enabled
ACPI: (supports S0 S3)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)

Fedora < 7 all had the same problem. The problem was solved in
all kernels of F7, now it comes back in F8test1.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot installation on HP DC7700
2. 
3.
  
Actual results:

Hangs at ACPI

Expected results:

Normal boot

Additional info:
Comment 1 Chuck Ebbert 2007-08-09 15:48:30 EDT
Please try:

  pci=nomsi

also:

  pci=nomsi,nommconf
Comment 2 Mogens Kjaer 2007-08-10 02:48:31 EDT
pci=nomsi makes no difference
pci=nomsi,nommconf works
Comment 3 John Summerfield 2007-10-21 18:43:50 EDT
This problem exists in F 8 test3.

Comment 4 John Summerfield 2007-10-21 20:06:52 EDT
I have upgraded to kernel 2.6.23.1-23.fc8, and the problem persists.

Comment 5 Dave Jones 2007-10-25 00:59:47 EDT
try pci=noacpi ?
Comment 6 Mogens Kjaer 2007-10-25 02:28:34 EDT
Kernel 2.6.13.1-31.fc8 x86_64:

pci=nomsi:            No go, stops at ACPI
pci=nomsi,nommconf:   OK, works
pci=noacpi:           Kernel panic
Comment 7 Mogens Kjaer 2007-10-25 02:52:18 EDT
Should have been: kernel 2.6.23.1-31.fc8 x86_64

The call trace from the panic with pci=noacpi is:

<IRQ> handle_level_irq+0x3c/0xe4
do_IRQ+0xf1/0x161
ret_from_intr+0x0/0xa
<EOI>__delay+0x8/0x10
timer_irq_works+0x20/0x3e
setup_IO_APIC+0x5d6/0x88d

I'll try to find a camera to get a screenshot if more information is
needed.
Comment 8 Jesse Barnes 2007-10-26 19:39:49 EDT
There was a patch in -mm called 
pci-disable-decode-of-io-memory-during-bar-sizing.patch that may fix this 
hang.  At the moment, Greg is reluctant to push it upstream over Ivan's 
concerns.
Comment 9 Dave Jones 2007-10-26 20:21:36 EDT
can you attach your dmidecode output ?  We should be able to add a quirk to work
around this.
Comment 10 Mogens Kjaer 2007-10-27 05:45:49 EDT
Created attachment 240231 [details]
dmidecode from a dc7700
Comment 11 Will Woods 2007-10-31 16:27:34 EDT
Could you try booting the boot.iso from today's rawhide? We've turned off PCI
MMCONFIG, which should fix the boot hang here.
Comment 12 Mogens Kjaer 2007-11-01 03:22:12 EDT
Yes! It works.

I can boot the installation from the boot.iso image.
After the installation the machine boots without any extra boot options.
Comment 13 Brian Maly 2008-04-09 14:20:25 EDT
Was pci-disable-decode-of-io-memory-during-bar-sizing.patch the patch that
resolve this issue? I.e. this was the patch that went into the boot.iso kernel?

I ask in reference to BZ 441615 (same bug but for RHEL5) so that I might
identify which patch should be backported to RHEL5.

Note You need to log in before you can comment on or make changes to this bug.